## org.jfree.chart.event
Class ChartChangeEventType

    java.lang.Object
      org.jfree.chart.event.ChartChangeEventType

All Implemented Interfaces:
  java.io.Serializable

    public final class ChartChangeEventType

extends java.lang.Object
implements java.io.Serializable

Defines tokens used to indicate an event type.

See Also:
  Serialized Form

Field Summary
`static ChartChangeEventType` `DATASET_UPDATED` DATASET_UPDATED.
`static ChartChangeEventType` `GENERAL` GENERAL.
`static ChartChangeEventType` `NEW_DATASET` NEW_DATASET.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GENERAL

    public static final ChartChangeEventType GENERAL

  GENERAL.

### NEW_DATASET

    public static final ChartChangeEventType NEW_DATASET

  NEW_DATASET.

### DATASET_UPDATED

    public static final ChartChangeEventType DATASET_UPDATED

  DATASET_UPDATED.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode